// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import ElementUI from 'element-ui';
import App from './App'
import router from './router'
import 'element-ui/lib/theme-chalk/index.css';
import 'animate.css'
import AMapLoader from "@amap/amap-jsapi-loader";
import 'swiper/css/bundle';
import "quill/dist/quill.core.css";
import "quill/dist/quill.snow.css";
import "quill/dist/quill.bubble.css";
Vue.config.productionTip = false
Vue.use(ElementUI);
window._AMapSecurityConfig = {
  securityJsCode:'86aa5d3d73bfb4fb80874f18ab3bb755',
}
await AMapLoader.load({
  'key': 'c3977afea8e6dc24a851a2819213cf4e',
  'securityJsCode':'86aa5d3d73bfb4fb80874f18ab3bb755',
  'version': '2.0',
  'plugins': ['AMap.Scale','AMap.GeoJSON','AMap.MarkerClusterer','AMap.PolygonEditor','AMap.Polygon','AMap.CircleEditor']
}).then((AMap) => {
  Vue.use(AMap)
})
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: {App},
  template: '<App/>'
})
